com.google.cloud.dataflow.sdk.transforms.windowing

## Class Never

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.windowing.Never

    public final class Never
    extends Object

A trigger which never fires.

Using this trigger will only produce output when the watermark passes the end of the `window` plus the `allowed lateness`.

### Constructor Summary

Constructors
Constructor and Description
`Never()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Trigger.OnceTrigger` `ever()` Returns a trigger which never fires.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Never

    public Never()

### Method Detail

#### ever

    public static Trigger.OnceTrigger ever()

Returns a trigger which never fires. Output will be produced from the using `GroupByKey` when the `BoundedWindow` closes.